* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Montserrat', sans-serif;
}

body {
    background-color: #f0ebe1;
    
}

.main_div {
    max-width: 80vw;
    margin: auto;
    
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border: 1px solid #2625223d;
    margin-top: 15px;
    padding: 17px 24px;
    border-radius: 32px;
    line-height: 0.8;
    
}

header .logo {
    display: flex;
    align-items: center;
    gap: 10px;
}

.logo img {
    height: 3em;
    width: 3em;
    border-radius: 50%;
}

header nav ul li {
    display: inline-block;
    list-style: none;
    margin-left: 30px;
}

header .button_section {
    display: flex;
    align-items: center;
}

header .button_section .search img {
    height: 2.25em;
    width: 2.25em;
    margin-top: 3px;
    border-radius: 32%;
    background-color: #F5B0A8;
    padding: 5px;
    cursor: pointer;

}

.search img:hover {
    border: 1px solid #171716d7;
}

.button_section button {
    color: #f0ebe1;
    background-color: #171716d7;
    margin-left: 10px;
    padding: 10px 20px;
    border: none;
    border-radius: 32px;
    cursor: pointer;
    font-weight: 700;
}

.button_section button:hover {
    background-color: #F5B0A8;
    border: 1px solid #171716d7;
    color: #171716d7;
}

header nav ul li a {
    text-decoration: none;
    color: #171716d7;
    border-bottom: 2px solid transparent;
    font-size: 1.2em;
    font-weight: 500;
}

header nav ul li a:hover {
    border-bottom: 2px solid #F5B0A8;

}

.hero_section {
    max-width: 80vw;
    margin: auto;
    margin-top: 2.5em;

    background-image: url(./assets/heroimg2.jpg);
    background-size: cover;
    background-position: center;
    border-radius: 32px;
    margin-bottom: 2.5em;
}

.hero_layer {
    display: flex;
    align-items: center;
    gap: 50px;


}

.hero_layer .hero_text {
    max-width: 40vw;
    margin: auto;
    padding: 80px;
    color: #f0ebe1;
    text-align: center;
}

.hero_layer .hero_text #delights {
    color: #F5B0A8;
}

.hero_layer .hero_text h1 {
    font-size: 4em;
    margin-bottom: 20px;
    font-weight: 900;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
}

.hero_layer .hero_text p {
    font-size: 1.2em;
    margin-bottom: 30px;
    font-weight: 500;
    text-shadow: 2px 2px 4px #171716d7;
}

.hero_layer .hero_text button {
    color: #171716d7;
    background-color: #F5B0A8;
    padding: 12px 20px;
    border: none;
    border-radius: 32px;
    cursor: pointer;
    font-weight: 700;
}

.hero_layer .hero_text button:hover {

    background-color: #171716d7;

    color: #f0ebe1;
}

.whole_palette {
    max-width: 80vw;
    margin: auto;
    background-color: #C4E5FC;
    border-radius: 32px;
    padding: 40px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
}

.whole_palette .right_side {
    border-radius: 32px;

}

.whole_palette .right_side .menu_slide {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    padding: 12px 12px;
    border-bottom: 1px solid #171716d7;

}

.whole_palette .right_side .menu_slide:last-child {
    border: none;

}

.whole_palette .right_side .menu_slide img {
    height: 2.5em;
    width: 2.5em;
    padding: 2.25px;
    cursor: pointer;
    color: #171716d7;
}

.whole_palette .right_side .menu_slide h2 {
    color: #171716d7;
    font-size: 1.15em;
    font-weight: 500;
}

.whole_palette .left_side {
    padding-top: 0.5em;

}

.whole_palette .left_side h2 {
    font-size: 3em;
    color: #171716d7;
    font-weight: 900;
    margin-bottom: 8px;
    line-height: 1;
}

.whole_palette .left_side #explore {
    background-color: #e45508;
    border: none;
    border-radius: 32px;
    color: #f0ebe1;
    padding: 8px 12px;
    cursor: pointer;
    font-size: 1em;
    font-weight: 600;
    margin-bottom: 4px;
}

.whole_palette .left_side #explore:hover {
    background-color: #171716d7;
    color: #f0ebe1;
}

.whole_palette .left_side p {
    font-size: 1em;
    color: #171716d7;
    font-weight: 500;
    margin-top: 12px;
}

.whole_palette .left_side .palette_button button {
    margin-top: 15px;
    color: #171716d7;
    background-color: transparent;
    border: 2px solid #171716d7;
    padding: 10px 15px;
    border-radius: 32px;
    cursor: pointer;
    font-size: 1em;
    font-weight: 600;
}

.whole_palette .left_side .palette_button button:hover {
    background-color: #171716d7;
    color: #f0ebe1;
}

.cta_section {
    max-width: 80vw;
    margin: auto;
    background-color: #ef233c;
    border-radius: 32px;
    padding: 40px;
    margin-top: 2.5em;
    display: flex;
    justify-content: center;
    align-items: center;
}

.cta_section .cta_inner {
    max-height: 600px;
    text-align: center;
}

.cta_inner h2 {
    font-size: 3em;
    color: #f0ebe1;
    font-weight: 900;
    margin-bottom: 20px;
}

.cta_inner h3 {
    font-size: 1.3em;
    color: #f0ebe1;
    font-weight: 500;
    margin-bottom: 12px;
}

.cta_inner button {
    background-color: #171716d7;
    color: #f0ebe1;
    border: none;
    border-radius: 32px;
    padding: 12px 14px;
    cursor: pointer;
    font-size: 1.2em;
    font-weight: 600;
    border: 0.5px solid #171716d7;
}

.cta_inner button:hover {
    background-color: #f0ebe1;
    color: #171716d7;
    border: 0.5px solid #171716d7;

}

.cta_inner .input_button {
    max-width: 400px;
    margin: auto;
}


.cta_inner .input_button input {
    width: 60%;
    margin-right: 4px;
    padding: 14px 24px;
    border: none;
    border-radius: 32px;
    font-size: 1em;
}
.cta_inner .input_button input:focus {
    outline: none;
    border: 2px solid #171716d7;
}

footer {
    width: 80vw;
    margin: auto;
    display: flex;
    background-color: #171716d7;
    justify-content: space-between;
    align-items: center;
    margin-top: 2.5em;
    padding: 17px 24px;
    border-radius: 32px;
    line-height: 0.8;
    margin-bottom: 1em;
}

footer .logo {
    display: flex;
    align-items: center;
    gap: 10px;
}

.logo img {
    height: 3em;
    width: 3em;
    border-radius: 50%;
}

footer nav ul li {
    display: inline-block;
    list-style: none;
    margin-left: 30px;
}

footer .button_section {
    display: flex;
    align-items: center;
}

footer .button_section .search img {
    height: 2.25em;
    width: 2.25em;
    margin-top: 3px;
    border-radius: 32%;
    background-color: #F5B0A8;
    padding: 5px;
    cursor: pointer;

}

.social_section {
    display: flex;
    align-items: center;

    gap: 15px;
    margin-right: 5px;
}

.facebook img,
.whatsapp img,
.instagram img,
.pinterest img {
    height: 2.25em;
    width: 2.25em;
    margin-top: 3px;
    padding: 5px;
    cursor: pointer;

}

.facebook img:hover,
.whatsapp img:hover,
.instagram img:hover,
.pinterest img:hover {
    border-bottom: 1px solid #ef233c;
}



footer nav ul li a {
    text-decoration: none;
    color: #F5B0A8;
    border-bottom: 2px solid transparent;
    font-size: 1.2em;
    font-weight: 500;
}

footer nav ul li a:hover {
    border-bottom: 2px solid #ef233c;

}

footer .logo h2 {
    color: #F5B0A8;
    font-size: 1.5em;
    font-weight: 600;
}

.featured_recipes {
    max-width: 80vw;
    margin: auto;
    margin-top: 2.5em;
    padding: 2em;
    border-radius: 32px;
    border: 2px solid #F5B0A8;
}
.featured_recipes h2 {
    font-size: 2.5em;
    color: #171716d7;
    font-weight: 900;
    margin-bottom: 1em;
    margin-left: 1.5em;
}
.recipe_grid {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-auto-rows: auto;
    gap: 20px;
}
.recipe_card {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
    overflow: hidden;
    
}
.recipe_card img {
    width: 400px;
    height: 300px;
    object-fit: cover;
    object-position: center center;
    border-radius: 32px;
    border: 2px solid #F5B0A8;
}
.second_card .img{
    position: relative;
    display: inline-block;
}
.second_card img {
    width: 400px;
    height: 300px;
    object-fit: cover;
    object-position: center;
    border-radius: 32px;
    border: 2px solid #F5B0A8;
    
    
}
.second_card .vegtag{
    position: absolute;
    bottom: 20px;
    right: 10px;
    background-color: #171716d7;
    color: #f0ebe1;
    width: 45px;
    height: 45px;
    border-radius: 50%;
    z-index: 2;
    border: 1px solid #F5B0A8;
}
.recipe_card h3 {
    font-size: 1.5em;
    margin-left: 0.5em;
    color: #171716d7;
    font-weight: 700;
}
.recipe_card p {
    font-size: 1em;
    max-width: 420px;
    color: #171716d7;
    font-weight: 500;
    text-align: left;
    padding: 0 10px;
    margin-top: 1em;
    
}
.recipe_card .time_section {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
}
.recipe_card .time{
    font-size: 0.9em;
    color: #171716d7;
    font-weight: 700;
    font-family: 'Roboto', sans-serif;
    margin-right: 2em;
    
}
.recipe_card button{
    background-color: #F5B0A8;
    color: #171716d7;
    border: none;
    border: 1px solid #171716d7;
    border-radius: 32px;
    padding: 10px 14px;
    cursor: pointer;
    font-size: 1em;
    font-weight: 600;
    margin-left: 3em;
    margin-bottom: 1em;
}
.recipe_card button:hover{
    background-color: #171716d7;
    color: #F5B0A8;
    border: 0.5px solid #171716d7;
}
    
